
QGIS Application - Bug report #7036

Custom CRS Testbox giving wrong results

2013-01-23 09:05 AM - Andre Joost

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16126

Description

When I enter a proj string for any kind of geographic CRS in the text box, and give a pair of lat/lon degree values, the result for target CRS

is always around 1. For projected CRS I get a reasonable result. If it is not wanted to test geographic CRS, a better error message should

be given to the user.

Associated revisions

Revision f68e4290 - 2017-11-07 11:36 PM - Nyall Dawson

When testing custom projections, show geographic results in degrees not radians

Fixes #7036

History

#1 - 2013-01-23 12:18 PM - Andre Joost

The output values are in radians, not degree. I think that does not make much sense.

See also: http://gis.stackexchange.com/questions/48866/custom-crs-problem/48876

#2 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-11-13 08:46 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|f68e42900b8bb918b458274714461352f92d5848.
